%global packname  {{ packname }}
{% if arch %}
%global rlibdir  %{_libdir}/R/library
{% else %}
%global rlibdir  %{_datadir}/R/library
{% endif %}

Name:             R-%{packname}
Version:          {{version}}
Release:          1%{?dist}
Summary:          {{summary}}

License:          {{license}}
URL:              {{URL}}
Source0:          {{source0}}

# Here's the R view of the dependencies world:
# Depends:   {{ depends | join(', ') }}
# Imports:   {{ imports | join(', ') }}
# Suggests:  {{ suggests | join(', ') }}
# LinkingTo:
# Enhances:

{% if not arch %}
BuildArch:        noarch
{% if with_deps %}
Requires:         R-core
{% endif %}
{% endif %}
{% if with_deps %}
{% for dep in depends + imports %}
Requires:         {{dep.rpm_version}}
{% endfor %}
{% for dep in suggests %}
Suggests:         {{dep.rpm_version}}
{% endfor %}
{% endif %}
BuildRequires:    R-devel
BuildRequires:    tex(latex)
{% for dep in depends + imports %}
BuildRequires:    {{dep.rpm_version}}
{% endfor %}
{% for dep in suggests %}
BuildRequires:    {{dep.rpm_version}}
{% endfor %}

%description
{{description}}


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


{% if not no_check %}
%check
%{_bindir}/R CMD check %{packname}


{% endif %}
%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* {{date}} {{name}} <{{email}}> - {{version}}-1
- initial package for Fedora
